@use '@angular/material' as mat;

@include mat.core();

// Color Palette
$md-petmatch: (
    50 : #fcebe7,
    100 : #f8cdc3,
    200 : #f4ab9b,
    300 : #f08972,
    400 : #ec7054,
    500 : #e95736,
    600 : #e64f30,
    700 : #e34629,
    800 : #df3c22,
    900 : #d92c16,
    A100 : #ffffff,
    A200 : #ffdbd7,
    A400 : #ffaca4,
    A700 : #ff958b,
    A900 : #e95736,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);
// Colors - Primary, Accent & Warn
$pet-match-theme-primary: mat.define-palette($md-petmatch, A100);
$pet-match-theme-accent: mat.define-palette($md-petmatch,A700);
$pet-match-theme-warn: mat.define-palette($md-petmatch, A900);
$pet-match-theme-error: mat.define-palette($md-petmatch, 900);

// Typography
$pet-match-theme-typography: mat.define-typography-config(
  $font-family: 'Roboto',

  /*
    mat.define-typography-level(
      $font-size,
      $line-height,
      $font-weight)

      + options
      $font-family
      $letter-spacing
  */

  /* banner text
    $display-4:  mat.define-typography-level(63px,72px, 900),
    $display-3:  mat.define-typography-level(27px,36px, 400, $letter-spacing: -0.45px),
    $display-2:  mat.define-typography-level(63px,72px, 900),
    */
  $display-1:  mat.define-typography-level(45px,53px, 700, $letter-spacing: -0.45px),
  $display-2:  mat.define-typography-level(40px,47px, 700, $letter-spacing: -0.45px),
  $headline:  mat.define-typography-level(72px, 84.38px, 900),/* h1 */
  $title:  mat.define-typography-level(36px,42px,400, $letter-spacing: -0.45px),/* h2 */
  $subheading-2:  mat.define-typography-level(29px, 34px, 900, $letter-spacing: -0.45px),/* h3 */
  $subheading-1:  mat.define-typography-level(20px, 23.44px, 900, $letter-spacing: -0.45px),/* h4 */
  $body-1:  mat.define-typography-level(15px, 1.125em, 400, $letter-spacing: -0.45px),/* p and others */
  $body-2: mat.define-typography-level(15px, 1.125em, 400, $letter-spacing: -0.45px),/* strong and other */
  $caption:  mat.define-typography-level(15px, 1.125em, 400, $letter-spacing: -0.45px),/* span and small text */
  $button:  mat.define-typography-level(15px, 1.125em, 400),/* button and a */
  $input:  mat.define-typography-level(15px, 1.125em, 400),/* form input */
);

// Theme - Light Theme
$pet-match-theme: mat.define-light-theme((
  color: (
    primary: $pet-match-theme-primary,
    accent: $pet-match-theme-accent,
    warn: $pet-match-theme-warn,
    error: $pet-match-theme-error
  ),
  //typography: $pet-match-theme-typography
));


.primary {
  color: mat.get-color-from-palette($pet-match-theme-primary);
}
.accent {
  color: mat.get-color-from-palette($pet-match-theme-accent);
}
.warn {
  color: mat.get-color-from-palette($pet-match-theme-warn);
}


@include mat.core($pet-match-theme-typography);

//@include mat.core($pet-match-theme-typography);
@include mat.all-component-themes($pet-match-theme);
